Subject: [PATCH] hwmon: (gpio-fan) allow to use alarm support alone from DT

From: [email-masked] (Guenter Roeck)
Date: Wed, 25 Feb 2015 06:51:29 -0800

On 02/25/2015 05:50 AM, Andrew Lunn wrote:
>> Handle the GPIO fan alarm feature from the fan controller driver don't
>> look good either to me. This alarm mechanism is not a part of the fan
>> controller itself but rather something apart. Also I am afraid that the
>> result would really look like a hack.
>
> Hi Simon
>
> It sounds like you need to extract the alarm code from gpio-fan into a
> little library. Then put a wrapper around it to make a gpio-fan-alarm
> driver.
>

Please, the intend is to do the right thing, not to cause code bloat.

If it is in fact correct that the alarm mechanism in this case is not tied
to the fan controller, using the gpio-fan driver is ok. However, we need to
state and check in the code that _some_ property is mandatory. A driver with
only optional properties doesn't make sense.

Guenter